Requery transaction
curl --request GET \
--url https://api.dancity.app/api/v1/transactions/{transactionId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dancity.app/api/v1/transactions/{transactionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.dancity.app/api/v1/transactions/{transactionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"message": "Transaction fetched",
"data": {
"_id": "6a1c3e3de285680cc3b7d2ba",
"tranxId": "DNTY8374056F678V",
"service": "DATA",
"product": "MTN GIFTING",
"tranxType": "DEBIT",
"status": "FAILED",
"currency": "NGN",
"remarks": "MTN GIFTING 40MB for 1 Day",
"amount": 50,
"fee": 0,
"amountPaid": 50,
"balanceBefore": 5276,
"balanceAfter": 5226,
"number": "09037346247",
"customerRef": "DATA-REF-001",
"channel": "API",
"paymentMedium": "MAIN WALLET",
"tranxDate": "2026-05-31T13:57:17.405Z",
"apiResponse": "Sorry, you are not allowed to migrate to Betamix Bundle Mini Plan. Thank you! — Oh dear! It seems xxxxxxxxxxx is not eligible for this bundle. Please select a new bundle and try again",
"isReversal": false,
"quantity": 0,
"createdAt": "2026-05-31T13:57:17.407Z"
}
}{
"success": false,
"message": "Invalid API key or IP not allowlisted",
"statusCode": 401
}{
"success": false,
"message": "Transaction not found",
"statusCode": 404
}{
"success": false,
"message": "Sorry, something went wrong. Please try again later",
"statusCode": 500
}Transactions
Requery transaction
Return one transaction and its current status by Mongo _id or by tranxId. Use to requery after a purchase or for polling. Typical status values include SUCCESS, FAILED, PROCESSING, PENDING, CANCELLED.
GET
/
api
/
v1
/
transactions
/
{transactionId}
Requery transaction
curl --request GET \
--url https://api.dancity.app/api/v1/transactions/{transactionId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dancity.app/api/v1/transactions/{transactionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.dancity.app/api/v1/transactions/{transactionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"message": "Transaction fetched",
"data": {
"_id": "6a1c3e3de285680cc3b7d2ba",
"tranxId": "DNTY8374056F678V",
"service": "DATA",
"product": "MTN GIFTING",
"tranxType": "DEBIT",
"status": "FAILED",
"currency": "NGN",
"remarks": "MTN GIFTING 40MB for 1 Day",
"amount": 50,
"fee": 0,
"amountPaid": 50,
"balanceBefore": 5276,
"balanceAfter": 5226,
"number": "09037346247",
"customerRef": "DATA-REF-001",
"channel": "API",
"paymentMedium": "MAIN WALLET",
"tranxDate": "2026-05-31T13:57:17.405Z",
"apiResponse": "Sorry, you are not allowed to migrate to Betamix Bundle Mini Plan. Thank you! — Oh dear! It seems xxxxxxxxxxx is not eligible for this bundle. Please select a new bundle and try again",
"isReversal": false,
"quantity": 0,
"createdAt": "2026-05-31T13:57:17.407Z"
}
}{
"success": false,
"message": "Invalid API key or IP not allowlisted",
"statusCode": 401
}{
"success": false,
"message": "Transaction not found",
"statusCode": 404
}{
"success": false,
"message": "Sorry, something went wrong. Please try again later",
"statusCode": 500
}